Prijeđi na sadržaj

Isaac 0.1

Integriraj

ID modela perceptron/isaac-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ovaj zahtjev: ≈0,001 $ 1 API kredit Pokreni na ovoj stranici

Nabavi API ključ
Perceptron Vid #multimodal#vision

Model za vid i jezik koji odgovara o slici kao tekst, okviri, točke ili poligoni

Perceptron · Tekst

Vaš prvi rezultat bit će ovdje

Izradite zahtjev u nastavku i pokrenite ga svojim API ključem. Izlazi se kopiraju u našu pohranu i čuvaju zauvijek ili 7 dana besplatno.

Izradi zahtjev

Kontrole se generiraju iz sheme modela. Kôd i cijena ažuriraju se dok ih mijenjate.

•obavezno

Prompt primijenjen na sliku.

•obavezno image_url
Ispustite datoteku ili

URL koji identificira sliku za obradu.

Napredno response_style
response_style zadano text

Odaberite format odgovora slike: svi načini uključuju tekst, pri čemu box dodaje okvire, point točke, a polygon poligone; samo text vraća tekst. Upotrijebite polygon za detaljnu segmentaciju ili box za lokalizaciju. Za opise i opisivanje upotrijebite text, a za brojanje mnogih objekata point.

POST /run/perceptron/isaac-01?wait=20 cijena → 0,001 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/perceptron/isaac-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Pokreni ovaj zahtjev

Vaš ključ ostaje u ovom pregledniku: šalje se samo Doitong API-ju i sprema u localStorage samo ako označite Zapamti. Nabavite API ključ

O modelu Isaac 0.1

Prima `image_url` i `prompt` te vraća odgovor u formatu postavljenom u `response_style`. Tekst je prikladan za opise, dok stilovi box, point i polygon dodaju podatke o lokalizaciji. Rezultat uključuje generirani izlaz, oznaku djelomičnog izlaza, poruku o pogrešci ako postoji i podatke o upotrebi.

Parametri

Pošaljite kanonski naziv ili izvorni naziv, ne oba. Kanonski nazivi

NazivVrsta ZadanoDopušteno Opis
image_urlobavezno image
Vrstaurl · image
URL koji identificira sliku za obradu.
promptobavezno
Vrstastring
Prompt primijenjen na sliku.
response_styleneobavezno
Vrstaenum
Zadanotext
textboxpointpolygon
Odaberite format odgovora slike: svi načini uključuju tekst, pri čemu box dodaje okvire, point točke, a polygon poligone; samo text vraća tekst. Upotrijebite polygon za detaljnu segmentaciju ili box za lokalizaciju. Za opise i opisivanje upotrijebite text, a za brojanje mnogih objekata point.
obavezno Kanonski naziv, također prihvaćen

Parametri datoteka prihvaćaju javni https:// URL, data: URI do 10 MB ili file_url prenesene datoteke. Datoteke

Izlaz

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "perceptron/isaac-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "To determine which car is trying to park into the garage, we need to carefully observe the positions and movements of the vehicles in the image.\n\n1. **Identify the Vehicles**: \n   - There are three vehicles visible: a green truck, an orange car, and a brown car.\n   - The green truck is positioned in front of the garage entrance.\n   - The orange car is parked to the left of the green truck.\n   - The brown car is parked to the right of the green truck.\n\n2. **Analyze the Positions**:\n   - The green truck is directly in front of the garage entrance, suggesting it is in the process of moving towards the entrance.\n   - The orange car is parked parallel to the garage but is not in the path of the green truck.\n   - The brown car is also parked parallel to the garage but is not in the path of the green truck.\n\n3. **Determine the Action**:\n   - Given the position of the green truck directly in front of the garage entrance, it is most likely that the green truck is trying to park into the garage.\n   - The orange and brown cars are already parked and do not appear to be in motion or attempting to park.\n\nTherefore, the car that is trying to park into the garage is the green truck.",
    "partial": false,
    "error": "string",
    "usage": {
      "completion_tokens": 1,
      "prompt_tokens": 1,
      "total_tokens": 1
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše datoteke, vaš izborSvaki outputs[].url kopija je u našoj pohrani: čuva se zauvijek (naplaćuje se po GB-mjesecu) ili 7 dana besplatno, prema postavci računa ili ?storage=.
Isti oblik na svakom modelutype, url, content_type, width, height i duration za slike, videozapise i zvuk. output je vlastiti objekt rezultata modela.
Polja izlaza
output
stringRezultat koji je proizveo model.
partial
booleanOznačava je li izlaz nepotpun.
error
string | nullPoruka koja opisuje pogrešku, ako se dogodila.
usage
object {completion_tokens, prompt_tokens, total_tokens} | nullPojedinosti o potrošnji.

Za AI agente: ova je stranica u Markdownu dostupna na https://doitong.com/hr/developers/models/perceptron/isaac-01.md. Svi modeli i vodiči: https://doitong.com/developers/llms.txt